#ifndef __DIBUJARNODOS_H__
#define __DIBUJARNODOS_H__

#include "operaciondibujo.h"
#include <qrect.h>

class QPainter;

class DibujarNodos:public OperacionDibujo {
    public:
        DibujarNodos(QPainter *p,QRect &r);
        virtual ~DibujarNodos() {};

        virtual void aplicar( QRect &cajaNodo, QRect &cajaIzquierda,
            QRect &cajaDerecha, NodoBinario *nodo, bool seleccionado);

    private:
        void trazaFlecha( QPainter *p, QRect &cajaPadre,
            QRect &cajaHijo, const QColor &c );
        void imprimeNodo( QPainter *p, QRect &r, NodoBinario *nodo,
            bool seleccionado );
        QPainter *_painter;
        QRect _recorte;
};

#endif
