#include "extensionarbol.h"
#include <qrect.h>

ExtensionArbol::ExtensionArbol()
{
    _maxX=_maxY=0;
}

void ExtensionArbol::aplicar( QRect &cajaNodo, QRect &cajaIzquierda,
    QRect &cajaDerecha, NodoBinario *nodo,bool seleccionado)
{
    if ( cajaNodo.right() > _maxX )
        _maxX = cajaNodo.right();

    if ( cajaNodo.bottom() > _maxY )
        _maxY = cajaNodo.bottom();
}

int ExtensionArbol::maxX()
{
    return _maxX;
}

int ExtensionArbol::maxY()
{
    return _maxY;
}
