#ifndef __INSERTARLISTA_H__
#define __INSERTARLISTA_H__

#include "functornodo.h"

class QListBox;
class NodoBinario;

//! Ejemplo de functor de nodo.

/*!
    Este ejemplo de functor de nodo inserta el
    valor de cada nodo visitado en una lista.
 */
class InsertarLista: public FunctorNodo {
    public:
        InsertarLista( QListBox *lista );
        virtual ~InsertarLista() {};
        virtual void aplicar( NodoBinario *nodo );
    private:
        QListBox *_lista;
};

#endif

