#ifndef __LOCALIZARNODO_H__
#define __LOCALIZARNODO_H__

#include "operaciondibujo.h"
#include <qpoint.h>

class LocalizarNodo:public OperacionDibujo {
    public:
        LocalizarNodo( int x, int y );
        virtual ~LocalizarNodo() {};

        NodoBinario *encontrado(void) {return _encontrado;};

        virtual void aplicar( QRect &cajaNodo, QRect &cajaIzquierda,
            QRect &cajaDerecha, NodoBinario *nodo, bool seleccionado);

    private:
        QPoint _punto;
        NodoBinario *_encontrado;
};

#endif
